#ifndef SERVERSTATUSWIDGET_H
#define SERVERSTATUSWIDGET_H

#include <QWidget>
#include <QMutex>

class ServerStatusWidget : public QWidget
{
    Q_OBJECT
public:
    explicit ServerStatusWidget(QWidget *parent = nullptr);

protected:
    virtual void leaveEvent(QEvent * event) override;
    virtual void enterEvent(QEvent * event) override;
    virtual void paintEvent(QPaintEvent *event) override;
signals:

public slots:
    void changeImageSrc(const QString& src);

private:
    QMutex bg_lock;
    QString img_src;
    QPixmap current_bg;
};

#endif // SERVERSTATUSWIDGET_H
